Summary: Small Footprint CIM Broker
Name:    sblim-sfcb
Version: 1.4.9
Release: 6%{?dist}
License: EPL-1.0
URL:     https://sblim.sourceforge.net/wiki/index.php/Sfcb
Source0: http://downloads.sourceforge.net/sblim/%{name}-%{version}.tar.bz2
Source1: sfcb.service

Patch3000: sblim-sfcb-1.3.9-sfcbrepos-schema-location.patch
Patch3001: sblim-sfcb-1.3.15-fix-provider-debugging.patch
Patch3002: sblim-sfcb-1.3.16-maxMsgLen.patch
Patch3003: sblim-sfcb-1.4.5-service.patch
Patch3004: sblim-sfcb-1.3.16-multilib-man-cfg.patch
Patch3005: sblim-sfcb-1.4.8-default-ecdh-curve-name.patch
Patch3006: sblim-sfcb-1.4.9-fix-ftbfs.patch
Patch3007: sblim-sfcb-1.4.9-fix-null-deref.patch
Patch3008: sblim-sfcb-1.4.9-fix-null-content-type-crash.patch
Patch3009: sblim-sfcb-1.4.9-fix-ppc-optimization-level.patch
Patch3010: sblim-sfcb-1.4.9-docdir-license.patch

BuildRequires: make libcurl-devel perl-generators zlib-devel openssl-devel openslp-devel gcc
BuildRequires: pam-devel cim-schema bison flex sblim-cmpi-devel systemd sblim-sfcCommon-devel
Requires: cim-schema sblim-sfcCommon
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
Provides: cim-server = 0

%Description
Small Footprint CIM Broker (sfcb) is a CIM server conforming to the CIM Operations over HTTP
protocol.  It is robust, with low resource consumption and therefore specifically suited for
embedded and resource constrained environments.  sfcb supports providers written against the Common
Manageability Programming Interface (CMPI).

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure \
    --enable-debug \
    --enable-uds \
    --enable-ssl \
    --enable-pam \
    --enable-ipv6 \
    --enable-slp \
    --enable-large_volume_support \
    --enable-optimized-enumeration \
    --enable-relax-mofsyntax \
    CFLAGS="$CFLAGS -D_GNU_SOURCE -fPIE -DPIE -fcommon" LDFLAGS="$LDFLAGS -Wl,-z,now -pie" \
    {nil}
 
make 

%install
%make_install
rm %{buildroot}/%{_sysconfdir}/init.d/sfcb

install -p -Dm644 %{SOURCE1} %{buildroot}/%{_unitdir}/sblim-sfcb.service
rm -f %{buildroot}/%{_libdir}/sfcb/*.la

%pre
/usr/bin/getent group sfcb >/dev/null || /usr/sbin/groupadd -r sfcb
/usr/sbin/usermod -a -G sfcb root > /dev/null 2>&1 || :

%post 
%{_datadir}/sfcb/genSslCert.sh %{_sysconfdir}/sfcb &>/dev/null || :
%{_bindir}/sfcbrepos -f > /dev/null 2>&1
%systemd_post sblim-sfcb.service

%preun
%systemd_preun sblim-sfcb.service

%postun
%systemd_postun_with_restart sblim-sfcb.service
if [ $1 -eq 0 ]; then
    /usr/sbin/groupdel sfcb > /dev/null 2>&1 || :;
fi;

%files
%license COPYING
%doc %{_datadir}/doc/sblim-sfcb/[!COPYING]*
%config(noreplace) %{_sysconfdir}/sfcb/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%{_unitdir}/sblim-sfcb.service
%{_bindir}/*
%{_sbindir}/*
%{_libdir}/sfcb/*.so.*
%{_libdir}/sfcb/*.so
%{_localstatedir}/lib/sfcb
%{_datadir}/sfcb/*
%{_datadir}/man/man1/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.9-6
- Rebuilt for loongarch release

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.9-5
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.9-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.9-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.9-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Shuo Wang <abushwang@tencent.com> - 1.4.9-1
- initial build
